Skip to main content
GET
/
workflows
/
v1
/
workflow-webhooks
List Workflow Webhooks
curl --request GET \
  --url https://api-qa.interactly.ai/workflows/v1/workflow-webhooks \
  --header 'Authorization: Bearer <token>'
{
  "webhooks": [
    {
      "id": "<string>",
      "name": "<string>",
      "url": "<string>",
      "actions": [
        "workflow_created"
      ],
      "enabled": true,
      "has_bearer_token": true,
      "timeout_seconds": 123,
      "max_retries": 123,
      "retry_backoff_seconds": 123
    }
  ],
  "total": 123
}

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Query Parameters

enabled
boolean | null
action
enum<string> | null
Available options:
workflow_created,
workflow_updated,
workflow_deleted,
workflow_run_started,
workflow_run_completed
size
integer
default:300

Number of items per page

Required range: x >= 1
page
integer
default:1

Page number

Required range: x >= 1
search
string | null

Search keywords

start
string<date-time> | null

Filter by start time (ISO 8601 format)

end
string<date-time> | null

Filter by end time (ISO 8601 format)

Response

Successful Response

webhooks
WorkflowWebhookResponse · object[]
required
total
integer
required